org.apache.olingo.odata2.client.api.ep

## Class EntitySerializerProperties

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.EntitySerializerProperties

-     public class EntitySerializerProperties
      extends Object

  `EntitySerializerProperties` contains all additional properties which are necessary to write (serialize) an `ODataEntry` into an specific format (e.g. `XML` or `JSON` or ...).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntitySerializerProperties.EntitySerializerPropertiesBuilder` This class builds the Entity Serializer Properties

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `fromProperties(EntitySerializerProperties properties)`
    `URI` | `getServiceRoot()` Gets the service root.
    `boolean` | `isIncludeMetadata()` Set true or false to include metadata
    `boolean` | `isKeyAutoGenerated()` Set true or false for auto key generation
    `boolean` | `isValidatingFacets()`
    `static EntitySerializerProperties.EntitySerializerPropertiesBuilder` | `serviceRoot(URI serviceRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isIncludeMetadata

          public boolean isIncludeMetadata()

      Set true or false to include metadata
      Returns:
        boolean

    - #### isKeyAutoGenerated

          public final boolean isKeyAutoGenerated()

      Set true or false for auto key generation
      Returns:
        boolean

    - #### getServiceRoot

          public final URI getServiceRoot()

      Gets the service root.
      Returns:
        the service root

    - #### serviceRoot

          public static EntitySerializerProperties.EntitySerializerPropertiesBuilder serviceRoot(URI serviceRoot)

      Parameters:
        `serviceRoot` -
      Returns:
        EntitySerializerPropertiesBuilder

    - #### isValidatingFacets

          public boolean isValidatingFacets()

      Returns:
        boolean

    - #### fromProperties

          public static EntitySerializerProperties.EntitySerializerPropertiesBuilder fromProperties(EntitySerializerProperties properties)

      Parameters:
        `properties` -
      Returns:
        EntitySerializerPropertiesBuilder

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.